﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class observermove : MonoBehaviour
{
    public float speed;
    public float rotationspeed;

    Camera cam;

    public void Awake()
    {
        cam = Camera.main;
    }

    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {
        Vector3 movement = new Vector3(0.0f, 0.0f, 0.0f);

        if (Input.GetKey(KeyCode.LeftShift) || Input.GetKey(KeyCode.RightShift)) // rotation via SHIFT key
        {
            if (Input.GetKey(KeyCode.LeftArrow))
            {
                transform.Rotate(0.0f, -rotationspeed, 0.0f);
            }
            if (Input.GetKey(KeyCode.RightArrow))
            {
                transform.Rotate(0.0f, rotationspeed, 0.0f);
            }

            // rotate the camera to look up and down if VR not attached
            if (Input.GetKey(KeyCode.UpArrow))
            {
                cam.transform.Rotate(-rotationspeed, 0.0f, 0.0f);
            }
            if (Input.GetKey(KeyCode.DownArrow))
            {
                cam.transform.Rotate(rotationspeed, 0.0f, 0.0f);
            }
        }
        // move up and down (if gravity isn't present with up/down arrows
        else if (Input.GetKey(KeyCode.LeftControl) || Input.GetKey(KeyCode.LeftAlt)) // added ALT for OSX
        {
            if (Input.GetKey(KeyCode.UpArrow))
            {
                movement = new Vector3(0.0f, 1.0f, 0.0f);
            }
            if (Input.GetKey(KeyCode.DownArrow))
            {
                movement = new Vector3(0.0f, -1.0f, 0.0f);
            }
            transform.Translate(movement * speed * Time.deltaTime);
        }
        else // move L/R/F/B where you are looking (the rotation stuff)
        {
            float moveHorizontal = Input.GetAxis("Horizontal");
            float moveVertical = Input.GetAxis("Vertical");
            movement = new Vector3(moveHorizontal, 0.0f, moveVertical);

            float rotator = cam.transform.eulerAngles.y - transform.eulerAngles.y;
            transform.Rotate(0.0f, rotator, 0.0f);
            transform.Translate(movement * speed * Time.deltaTime);  // move in the camera direction
            transform.Rotate(0.0f, -rotator, 0.0f);  // and set us back on the world coordinates
        }
    }
}
